Package Details: scilab 6.0.2-1

Git Clone URL: https://aur.archlinux.org/scilab.git (read-only)
Package Base: scilab
Description: A scientific software package for numerical computations.
Upstream URL: https://www.scilab.org
Licenses: GPL2, BSD, custom:CeCILL
Submitter: td123
Maintainer: eolianoe
Last Packager: eolianoe
Votes: 71
Popularity: 0.017358
First Submitted: 2011-12-07 20:36
Last Updated: 2019-03-04 20:28

Dependencies (37)

Sources (7)

Pinned Comments

Potomac commented on 2018-06-27 01:53

scilab 6 has a bug related to jogl jar library, if mesa version is >= 17.2 then scilab will be unable to use graphic hardware acceleration, no graph plotting,

http://forum.jogamp.org/Mesa-17-2-0-renderer-driver-name-change-error-causes-GLProfile-not-mapped-initialization-error-td4038176.html

in the console we can read these error logs : javax.media.opengl.GLException: X11GLXDrawableFactory - Could not initialize shared resources for :0 at jogamp.opengl.x11.glx.X11GLXDrawableFactory$SharedResourceImplementation.createSharedResource(X11GLXDrawableFactory.java:317) at jogamp.opengl.SharedResourceRunner.run(SharedResourceRunner.java:295) at java.lang.Thread.run(Thread.java:748) Caused by: java.lang.NullPointerException at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:625) at jogamp.opengl.GLContextImpl.makeCurrent(GLContextImpl.java:539) at jogamp.opengl.x11.glx.X11GLXDrawableFactory$SharedResourceImplementation.createSharedResource(X11GLXDrawableFactory.java:293) ... 2 more

the solution is to build scilab with a beta version of jogl (2.3.3), or to disable gpu hardware acceleration :

export LIBGL_ALWAYS_SOFTWARE=1

eolianoe commented on 2017-05-03 12:22

In order order to update (and/or build), you may need to uninstall scilab then build it and finally reinstall it to avoid conflicts between the two versions.

For now, scilab fails to run when launched from outside a terminal.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

fusion809 commented on 2017-08-17 09:27

Yeah I know but it isn't... I've checked that the file exists at /usr/share/java/jlatexmath/jlatexmath.jar but it is not detected by Scilab's configure script.

EDIT: I'm now building the latest jlatexmath (1.0.6) using Maven and going to install it and see if Scilab builds then.

eolianoe commented on 2017-08-17 09:25

@fusion809: The '/usr/share/java/jlatexmath/jlatexmath.jar' file should be corrected by the configure script (see near line 20900)

fusion809 commented on 2017-08-17 07:50

1.0.3 of jlatexmath, I always use the latest packages, I run pacaur -Syu daily, at least. How would I configure it to find it? Edit the configure lines in the PKGBUILD to include `--with-jlatexmath=/path/to/jar`?

eolianoe commented on 2017-08-15 10:29

@fusion809: with the current version of jlatexmath in the AUR, confgure correctly find the jlatexmath.jat file. Which version are you using?

@uboot: you could try do downgrade batik to version 1.7 to see if it's working.

fusion809 commented on 2017-08-14 22:15

Fails to build as it can't find jlatexmath despite the fact it is installed:

checking for java... /usr/lib/jvm/java-8-openjdk/bin/java
checking for java_g... no
checking for javah... /usr/lib/jvm/java-8-openjdk/bin/javah
checking for jar... /usr/lib/jvm/java-8-openjdk/bin/jar
checking for javadoc... /usr/lib/jvm/java-8-openjdk/bin/javadoc
checking for jdb... /usr/lib/jvm/java-8-openjdk/bin/jdb
checking for ant... /usr/bin/ant
checking jgraphx... /usr/share/java/jgraphx/jgraphx.jar
Use external version of scirenderer
checking flexdock... /usr/share/java/flexdock/flexdock.jar
checking looks... no
configure: WARNING: Could not find or use the Java package/jar looks used by Scilab Gui - Look and
feel (looking for package com.jgoodies.looks.common.MenuItemRenderer)
checking jgoodies-looks... /usr/share/java/jgoodies-looks/jgoodies-looks.jar
checking skinlf... /usr/share/java/skinlf/skinlf.jar
checking jogl2... /usr/share/java/jogl/jogl2.jar
checking minimal version (Specification-Version 2.3) of jogl2... yes
checking for glTexParameterf in -ljogl_desktop... no
configure: WARNING: Could not link against -ljogl_desktop. Will try against -ljogl_desktop -lGL
checking for glTexParameterf in -ljogl_desktop ... yes
checking gluegen2-rt... /usr/share/java/jogl/gluegen2-rt.jar
checking for Java_jogamp_common_jvm_JVMUtil_initialize in -lgluegen2-rt... yes
checking jhall... /usr/share/java/javahelp/jhall.jar
checking lucene-core... /usr/share/java/apache-lucene/lucene-core-6.6.0.jar
checking lucene-analyzers-common... /usr/share/java/apache-lucene/lucene-core-6.6.0.jar
checking lucene-queryparser... /usr/share/java/apache-lucene/lucene-queryparser-6.6.0.jar
checking jrosetta-API... /usr/share/java/jrosetta/jrosetta-API.jar
checking jrosetta-engine... /usr/share/java/jrosetta/jrosetta-engine.jar
checking jeuclid-core... /usr/share/java/jeuclid/jeuclid-core.jar
checking fop... /usr/share/java/fop/fop.jar
checking batik-all... /usr/share/java/batik/batik-all-1.9.jar
checking commons-io... /usr/share/java/commons-io/commons-io.jar
checking xmlgraphics-commons... /usr/share/java/xmlgraphics-commons/xmlgraphics-commons.jar
checking avalon-framework... /usr/share/java/avalon-framework/avalon-framework.jar
checking xml-apis-ext... /usr/share/java/batik/xml-apis-ext-1.3.04.jar
checking commons-logging... /usr/share/java/commons-logging/commons-logging.jar
checking jlatexmath... no
configure: error: Could not find or use the Java package/jar jlatexmath used by LaTex Rendering (looking for package org.scilab.forge.jlatexmath.TeXFormula)

uboot commented on 2017-08-10 12:03

Build works (had to supply jlatexmath*.jar dependencies myself), but Xcos is broken:

Caused by: java.lang.RuntimeException: Unable to load the Batik library.
Expecting version 1.7 ; Getting version 1.9 .

eolianoe commented on 2017-08-08 09:58

@mcrai: I've the same version, maybe it's something specific to Manjaro.

mcrai commented on 2017-08-06 18:39

@eolanoe: Thanks for your effort. I am using curl 7.54.1-2 and java-batik 1.9-1. Could you please indicate the versions you are using?

eolianoe commented on 2017-08-01 17:42

@mcrai: I received your logs. The differences come from the curl and java-batik version, but I don't know why the build is failing and I don't have access to a Manjaro machine do test.

@Goby: you rebuilt scilab with an old version (<= 1.8) of hdf5? I don't have other idea :(

Goby commented on 2017-07-31 06:53

@eolianoe : thanks for your answer, I had already tried to downgrade HDF5 without success. Is there anything that I could try ?